
#ifndef FD_setup_panel_h_
#define FD_setup_panel_h_
/* Header file generated with fdesign. */
#include "play.h"

/**** Callback routines ****/

extern void accept_button_callback(FL_OBJECT *, long);
extern void defaults_button_callback(FL_OBJECT *, long);
extern void cancel_button_callback(FL_OBJECT *, long);
extern void frequency_input_callback(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *setup_panel;
	FL_OBJECT *bits_group;
	FL_OBJECT *bits16_button;
	FL_OBJECT *bits8_button;
	FL_OBJECT *interp_button;
	FL_OBJECT *channels_group;
	FL_OBJECT *stereo_button;
	FL_OBJECT *mono_button;
	FL_OBJECT *buttons_group;
	FL_OBJECT *accept_button;
	FL_OBJECT *defaults_button;
	FL_OBJECT *cancel_button;
	FL_OBJECT *inputs_group;
	FL_OBJECT *mixer_path_input;
	FL_OBJECT *frequency_input;
	FL_OBJECT *playlist_dir_input;
	FL_OBJECT *module_dir_input;
	void *vdata;
	long 	ldata;
	int 	active;
	int	updated;
} FD_setup_panel;

extern FD_setup_panel *create_form_setup_panel(void);
void set_parameters(play_parameters * p);
void get_parameters(play_parameters * p);
FD_setup_panel *setup;

#endif				/* FD_setup_panel_h_ */
